Bug 147337 - printf problems
Summary: printf problems
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pvm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-07 13:57 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-20 07:21:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-02-07 13:57:26 UTC
Description of problem:

I just tried to compile package pvm-3.4.5-1 from 
Redhat Fedora development tree.

The compiler said

../../src/pvmlog.c(492): warning #267: the format string requires
additional arguments

The source code is

        for (i=0; i < 10 ; i++ )
                pvmlogprintf("[%x/%c]", em[i]);

I agree with the compiler. Suggest code rework. Has this code ever
been tested ?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jason Vas Dias 2005-02-07 17:50:49 UTC
Yes, the code has been tested - the line causes no problem if executed.
Will fix in next version to avoid compiler warning.


Comment 2 David Binderman 2005-02-07 18:10:08 UTC
>Yes, the code has been tested - the line causes no problem if >executed.

Good comedy.

Doing printfs on random stack contents is probably one of the oldest
C mistakes in the book.

>Will fix in next version to avoid compiler warning.

Excellent. Look forward to seeing the results.

Comment 3 Jason Vas Dias 2005-02-25 19:41:38 UTC
This is now fixed in pvm-3.4.5-2_FC3 / pvm-3.4.5-2_FC4 .

Comment 4 Marius Andreiana 2005-08-20 07:21:36 UTC
pvm-3.4.5-2 is out, closing


Note You need to log in before you can comment on or make changes to this bug.